.TH ComboBox "tcl" "tcllib - BWidget"

.SH NAME
.B ComboBox - ComboBox 组件

.SH 创建 CREATION
.B ComboBox pathName ?option value...?

.SH 描述 DESCRIPTION
ComboBox 组件使用户能在用 values 选项给出的一个列表中选择一个值。通过按 ArrowButton，或在 ComboBox 的 editable 的值是 false 的时候在录入栏中点击，弹出可能值的列表。
如果 ComboBox 的 editable 的值是 true 并且录入栏获得了聚焦，用户可以按上下箭头键来修改它的值。如果当前值精确的匹配在列表中的一个值，则显示列表中的前一个(向上箭头键)或下一个(向下箭头键)值。如果当前值匹配在列表中的一个值的开始，则显示这个值。如果当前值不匹配任何东西，则显示第一个值。

.SH 组件特有选项 WIDGET-SPECIFIC OPTIONS

.TP
-height  
为个这个窗口指定想要的高度，以行为单位(in lines)。如果它小于等于零，则这个窗口要求的高度只是足够大得装下在列表框中所有的元素。

.TP
-modifycmd  
指定在用户通过在列表框中选择一个值或按上下箭头键来修改 ComboBox 框的值的时候调用的一个 Tcl 命令。

.TP
-postcommand  
指定在映射 ComboBox 的列表框之前调用的一个 Tcl 命令。

.TP
-values  
指定在 ComboBox 的列表框中显示的值。

.SH 组件命令

.TP
pathName bind ?arg...? 
在录入组件上设置绑定。

.TP
pathName cget option  
返回用 option 给出的配置选项的当前值。Option 可以是能被建立命令接受的任何值。

.TP
pathName configure ?option? ?value option value ...? 
查询或修改这个组件的配置选项。如果未指定 option ，则返回描述 pathName 的所有可获得的选项的一个列表。如果指定了不带 value 的 option，则这个命令返回描述这个指名的 option 的一个列表(这个列表与未指定 option 所返回的值的相应的子集是一样的)。如果指定了一个或多个选项-值 对，则这个命令把给定的组件选项修改为给定的值；在这种情况下这个命令返回一个空串。Option 可以是能被建立命令接受的任何值。只读选项不可修改。

.TP
pathName getvalue  
返回 ComboBox 的当前文本在值的列表中的索引，如果它不匹配任何值则返回 -1。

.TP
pathName setvalue index  
把 ComboBox t的文本设置成用在值的列表中的索引指示的值。index 可以被指定为任何下列形式:

last
指定值的列表的最后一个元素。 

first
指定值的列表的第一个元素。 

next
指定值的列表的当前元素(就是 getvalue 返回的那个)的下一个元素。 

previous
指定值的列表的当前元素(就是 getvalue 返回的那个)的上一个元素。 

@number
指定在值的列表的整数索引。


.SH "TRANSBY"
LinuxForum.Net CMPP 中文手册页计划 http://cmpp.linuxforum.net
.P
* Thu Jun 21 2001 寒蝉退士 <mhss0@163.com>
.br
- 初始版本
