.TH PagesManager "tcl" "tcllib - BWidget"

.SH NAME
.B PagesManager - 页面管理器组件

.SH 创建 CREATION
.B PagesManager pathName ?option value...?

.SH 描述 DESCRIPTION
PagesManager 组件管理一组页面并显示其中之一。PagesManager 不象 NoteBook 那样提供任何用户访问方法，这可以通过列表框、菜单、单选按钮、或其他什么东西来完成。

.SH 组件特有选项 WIDGET-SPECIFIC OPTIONS
.TP
-height  
为页面指定想要的高度。如果这个选项等于零(缺省的)，则这个窗口根本不要求任何大小。在这种情况下，用户可以调用 PagesManager::compute_size 来使 PagesManager 足够大得包含最大的页面。

.TP
-width  
为页面指定想要的宽度。如果这个选项等于零(缺省的)，则这个窗口根本不要求任何大小。在这种情况下，用户可以调用 PagesManager::compute_size 来使 PagesManager 足够大得包含最大的页面。 

.SH 组件命令

.TP
pathName add page  
增加用 page  标识的一个新页面。返回这个新页面的路径名。 

.TP
pathName cget option  
返回用 option 给出的配置选项的当前值。Option 可以是能被建立命令接受的任何值。 

.TP
pathName compute_size  
调用这个命令使 PagesManager 足够大得包含最大的页面。 

.TP
pathName configure ?option? ?value option value ...? 
查询或修改这个组件的配置选项。如果未指定 option ，则返回描述 pathName 的所有可获得的选项的一个列表。如果指定了不带 value 的 option，则这个命令返回描述这个指名的 option 的一个列表(这个列表与未指定 option 所返回的值的相应的子集是一样的)。如果指定了一个或多个选项-值 对，则这个命令把给定的组件选项修改为给定的值；在这种情况下这个命令返回一个空串。Option 可以是能被建立命令接受的任何值。只读选项不可修改。 

.TP
pathName delete page  
删除页面 page。 

.TP
pathName getframe page  
返回页面 page 的路径名。 

.TP
pathName page first ?last? 
反对使用它，建议替代为 pages。

如果省略了 last，则返回在索引 first 上的页面，如果 first 引用一个不存在的页面则返回空串。如果指定了 last，则这个命令返回一个列表，它的元素是在 first 和 last 之间(包含二者)的所有页面。first 和 last 二者可以是索引的任何标准形式。 

.TP
pathName pages ?first? ?last? 
如果省略了 first 和 last，则返回所有页面的一个列表。如果指定了 first 而省略了 last，则返回在索引 first 上的页面，如果 first 引用一个不存在的元素则返回空串。如果指定了 first 和 last，则这个命令返回一个列表，它的元素是在 first 和 last 之间(包含二者)的所有页面。first 和 last 二者可以是索引的任何标准形式。 

.TP
pathName raise ?page? 
提升(raise)页面 page，如果省略了 page 则返回突出的(raised)页面。

.SH "TRANSBY"
LinuxForum.Net CMPP 中文手册页计划 http://cmpp.linuxforum.net
.P
* Thu Jun 21 2001 寒蝉退士 <mhss0@163.com>
.br
- 初始版本
