.TH Scrolledwindow "tcl" "tcllib - BWidget"

.SH NAME
.B ScrolledWindow - 通用滚动组件

.SH 创建 CREATION
.B ScrolledWindow pathName ?option value...?

.SH 描述 DESCRIPTION
ScrolledWindow 使用户能容易的建立带有自己的滚动条的组件。ScrolledWindow 建立滚动条并且用 ScrolledWindow::setwidget 自动的把滚动命令关联到一个可滚动的组件上。

.SH 组件特有选项 WIDGET-SPECIFIC OPTIONS

.TP
-auto  
指定想要的自动管理的滚动条:

* none 
意思是总是绘制滚动条

* horizontal 
意思是在需要时绘制水平滚动条

* vertical 
意思是在需要时绘制垂直滚动条

* both  
意思是在需要时绘制水平滚动条和垂直滚动条 

.TP
-scrollbar (只读) 
指定想要的滚动条: none、horizontal、vertical 或 both。这个选项不能用 ScrolledWindow::configure 修改。

.SH 组件命令

.TP
pathName cget option  
返回用 option 给出的配置选项的当前值。Option 可以是能被建立命令接受的任何值。

.TP
 pathName configure ?option? ?value option value ...? 
查询或修改这个组件的配置选项。如果未指定 option ，则返回描述 pathName 的所有可获得的选项的一个列表。如果指定了不带 value 的 option，则这个命令返回描述这个指名的 option 的一个列表(这个列表与未指定 option 所返回的值的相应的子集是一样的)。如果指定了一个或多个选项-值 对，则这个命令把给定的组件选项修改为给定的值；在这种情况下这个命令返回一个空串。Option 可以是能被建立命令接受的任何值。只读选项不可修改。 

.TP
pathName getframe  
返回应该在其中建立滚动组件的框架的路径名。这个命令不再需要。你可以直接建立作为 pathName 的子窗口的滚动组件。 

.TP
pathName setwidget widget  
把 widget 关联到滚动条上。通过把选项 expand 设为 yes 和 fill 设为 both 包装(pack) widget 是。widget 必须是可滚动组件，也就是说有选项 xscrollcommand/yscrollcommand 和命令 xview/yview，比如画布或文本。

.SH "TRANSBY"
LinuxForum.Net CMPP 中文手册页计划 http://cmpp.linuxforum.net
.P
* Thu Jun 21 2001 寒蝉退士 <mhss0@163.com>
.br
- 初始版本
