.TH LabelFrame "tcl" "tcllib - BWidget"

.SH NAME
.B LabelFrame - 有一个标签的框架.

.SH 创建 CREATION
.B LabelFrame pathName ?option value...?

.SH 描述 DESCRIPTION
LabelFrame 使用户能建立带有可定位在任何一边的一个标签的框架。ComboBox 和 SpinBox 使用了 LabelFrame。

.SH 组件特有选项 WIDGET-SPECIFIC OPTIONS

.TP
-side (read-only)  
指定把标签定位于相对于用户框架的: top、bottom、left 或 right。 

.SH 组件命令

.TP
LabelFrame::align ?arg...? 
这个命令通过设置用 args 给出的类 LabelFrame (或衍生(derive)类)的所有组件的标签的宽度为最大的那个宽度 + 1 来对齐(align)这些标签。 

.TP
pathName cget option  
返回用 option 给出的配置选项的当前值。Option 可以是能被建立命令接受的任何值。 

.TP
pathName configure ?option? ?value option value ...? 
查询或修改这个组件的配置选项。如果未指定 option ，则返回描述 pathName 的所有可获得的选项的一个列表。如果指定了不带 value 的 option，则这个命令返回描述这个指名的 option 的一个列表(这个列表与未指定 option 所返回的值的相应的子集是一样的)。如果指定了一个或多个选项-值 对，则这个命令把给定的组件选项修改为给定的值；在这种情况下这个命令返回一个空串。Option 可以是能被建立命令接受的任何值。只读选项不可修改。 

.TP
pathName getframe  
返回用户可以建立任何其他组件的那个框架。

.SH "TRANSBY"
LinuxForum.Net CMPP 中文手册页计划 http://cmpp.linuxforum.net
.P
* Thu Jun 21 2001 寒蝉退士 <mhss0@163.com>
.br
- 初始版本
