.TH ScrollableFrame "tcl" "tcllib - BWidget"

.SH NAME
.B ScrollableFrame - 包含组件的可滚动的框架

.SH 创建 CREATION
.B ScrollableFrame pathName ?option value...?

.SH 描述 DESCRIPTION
ScrollableFrame 组件包含组件。

.SH 组件特有选项 WIDGET-SPECIFIC OPTIONS

.TP
-areaheight  
为可滚动区域指定高度。如果是 zero，则使可滚动区域的高度刚好足够大得持有它的所有子窗口。 

.TP
-areawidth  
为可滚动区域指定宽度。如果是 zero，则使可滚动区域的宽度刚好足够大得持有它的子窗口。 

.TP
-constrainedheight  
指定可滚动区域是否应当与滚动窗口有相同的高度。如果为真，则不需要垂直滚动条。 

.TP
-constrainedwidth  
指定可滚动区域是否应当与滚动窗口有相同的宽度。如果为真，则不需要水平滚动条。 　 

.TP
-height  
以象素为单位为这个窗口指定想要的高度。 

.TP
-width  
以象素为单位为这个窗口指定想要的宽度。 

.TP
-xscrollincrement  
参见 canvas 组件的 xscrollincrement 选项。 

.TP
-yscrollincrement  
参见 canvas 组件的 yscrollincrement 选项。

.SH 组件命令

.TP
pathName cget option  
返回用 option 给出的配置选项的当前值。Option 可以是能被建立命令接受的任何值。

.TP
pathName configure ?option? ?value option value ...? 
查询或修改这个组件的配置选项。如果未指定 option ，则返回描述 pathName 的所有可获得的选项的一个列表。如果指定了不带 value 的 option，则这个命令返回描述这个指名的 option 的一个列表(这个列表与未指定 option 所返回的值的相应的子集是一样的)。如果指定了一个或多个选项-值 对，则这个命令把给定的组件选项修改为给定的值；在这种情况下这个命令返回一个空串。Option 可以是能被建立命令接受的任何值。只读选项不可修改。 

.TP
pathName getframe  
返回应当在其中建立组件的滚动框架的路径名。 

.TP
pathName see widget ?vert? ?horz? 
排布(arrange)可滚动区域来使 widget 在窗口中可见。在 widget 太长或太大而不能整个可见的情况下，用 vert 和 horz 指定 widget 的那部分更适合见到。vert 必须是 top (缺省的) 或 bottom，而 horz 必须是 left (缺省的) 或 right。如果 vert 或 horz 不是有效的值，则在这个方向上不滚动区域。 

.TP
pathName xview ?arg...? 
启用 pathName 的水平滚动的标准命令。 

.TP
pathName yview ?arg...? 
启用 pathName 的垂直滚动的标准命令。

.SH "TRANSBY"
LinuxForum.Net CMPP 中文手册页计划 http://cmpp.linuxforum.net
.P
* Thu Jun 21 2001 寒蝉退士 <mhss0@163.com>
.br
- 初始版本
